For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
Dashboard
LogoLogo
DocsAPI Reference
  • OCPPLAB Gateway API
        • GETList chargers
        • POSTCreate charger (durable)
        • GETGet charger provisioning status
        • GETGet charger
        • PUTUpdate charger
        • DELDelete charger
        • POSTStart charger runtime
        • POSTStop charger runtime
        • POSTRestart charger runtime
        • GETList charger logs
OCPPLAB Gateway APICore ResourcesChargers

List charger logs

||View as Markdown|
GET
https://host.com/ocpp/chargers/:charger_id/logs
GET
/ocpp/chargers/:charger_id/logs
1import requests
2
3url = "https://host.com/ocpp/chargers/dep-123/logs"
4
5querystring = {"start_date":"2026-04-09T00:00:00Z","end_date":"2026-04-09T23:59:59Z","event":"BootNotification","limit":"1000","offset":"0"}
6
7headers = {"Authorization": "Bearer <token>"}
8
9response = requests.get(url, headers=headers, params=querystring)
10
11print(response.json())
1{
2 "data": [
3 {
4 "direction": "cp_to_csms",
5 "action": "BootNotification",
6 "message": "[2,\"boot-001\",\"BootNotification\",{\"charge_point_vendor\":\"OCPPLAB\",\"charge_point_model\":\"SDK-DC-50\"}]",
7 "timestamp": "2026-04-09T09:30:00Z"
8 }
9 ],
10 "total": 1,
11 "limit": 1000,
12 "offset": 0
13}
Retrieve OCPP logs for one charger with optional date range and event filters.
Was this page helpful?
Previous

Restart charger runtime

Next

Proxy OCPP message

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

charger_idstringRequired
Internal charger deployment identifier returned by charger CRUD endpoints. Use charger identity for simulator and control endpoints.

Query parameters

start_datedatetime or nullOptional
Optional inclusive start timestamp for charger logs.
end_datedatetime or nullOptional
Optional inclusive end timestamp for charger logs.
eventstring or nullOptional

Optional OCPP action filter such as Authorize or BootNotification.

limitintegerOptional1-1000Defaults to 1000
Maximum number of charger logs to return. The maximum accepted value is 1000.
offsetintegerOptional>=0Defaults to 0

Zero-based offset into the filtered charger log result set.

Response

Charger logs retrieved successfully
datalist of objects
totalinteger
limitinteger
offsetinteger

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error